
Infrastructure - Bug #4462

Index Task datasource need larger Identifier column

2014-03-14 21:34 - Skye Roseboom

Status: Closed Start date: 2014-03-14

Priority: Normal Due date: 2014-04-12

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 1.00 hour

Target version: 2014.14-Block.2.3   

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

Current implementation of the index task datasource (used by the search index processor/generator) has a mistake that only allows

pids of 250 char length.  Need to change the column definition to allow the D1 defined 800 character limit for Identifiers.

Have not seen this issue in production, discovered during testing.

Related issues:

Related to Infrastructure - Story #4461: CCI 1.2.6 Feature Release Closed 2014-03-19 2014-05-10

History

#1 - 2014-03-14 21:34 - Skye Roseboom

- Subject changed from Index Task Datasource need larger Identifier column to Index Task datasource need larger Identifier column

#2 - 2014-03-31 17:34 - Skye Roseboom

- Due date changed from 2014-03-29 to 2014-04-12

- Target version changed from 2014.12-Block.2.2 to 2014.14-Block.2.3

#3 - 2014-04-29 16:52 - Skye Roseboom

- Status changed from New to In Progress

#4 - 2014-04-29 17:20 - Skye Roseboom

- Status changed from In Progress to Testing

Column definition changes to 'text' jpa column annotation type.

Copied to release branch for testing and release prep.

#5 - 2014-05-01 03:18 - Skye Roseboom

- Status changed from Testing to Closed

Verified the index_task table schema was updated after install/upgrade so that pid column is now type 'text' which supports strings longer than 800

chars.

Ready for release in CCI 1.2.6.
